CK_BITMAP_SIZE(3)

NAME
ck_bitmap_size - returns necessary number of bytes for bitmap

LIBRARY
Concurrency Kit (libck, -lck)

SYNOPSIS
#include <ck_bitmap.h>
unsigned int
ck_bitmap_size(unsigned int n_bits);

DESCRIPTION
The ck_bitmap_size() function returns the number of bytes that are necessary to allocate for a bitmap that will contain the number of bits specified by n_bits.

This function is used to determine how many bytes to allocate for dynamically created bitmap objects. The allocated object must still be initialized using ck_bitmap_init(3).

RETURN VALUES
This function returns a non-zero value.

SEE ALSO
ck_bitmap_base(3), ck_bitmap_init(3), ck_bitmap_set_mpmc(3), ck_bitmap_reset_mpmc(3), ck_bitmap_test(3), ck_bitmap_clear(3), ck_bitmap_bits(3), ck_bitmap_buffer(3)

Additional information available at http://concurrencykit.org/